#!/bin/dash
echo 'Flashing U-Boot'
BOOT_DRIVE=$(lsblk -npo PKNAME "$(findmnt -Ufnro SOURCE -M /boot)")
if [ $BOOT_DRIVE ]
then
	echo "Flashing to detected boot drive: $BOOT_DRIVE"
else
	echo 'ERROR: Unable to detect boot drive, aborting U-Boot flashing'
	exit 1
fi
dd 'if=/boot/u-boot/bl1-mmcboot.bin' "of=$BOOT_DRIVE" bs=512 seek=1 conv=fdatasync
dd 'if=/boot/u-boot/loader-mmc.img' "of=$BOOT_DRIVE" bs=512 seek=129 conv=fdatasync
dd 'if=/boot/u-boot/bl_mon.img' "of=$BOOT_DRIVE" bs=512 seek=513 conv=fdatasync
dd 'if=/boot/u-boot/bootloader.img' "of=$BOOT_DRIVE" bs=512 seek=3841 conv=fdatasync
/boot/u-boot/flash_env.sh
